
# Quick Teleport

This minimal mod allows for instant portal and dungeon teleportation, and reduces the teleport time for distant teleports.

Tired of waiting for slow teleportation times? This mod reduces the teleport time from 8 seconds to 0 seconds for close portals or already loaded areas, and works instantly for dungeons.

> The teleport is instant on close/already loaded areas, but it will also reduce the teleport time for distant/unloaded areas.

## How it works
This mod deactivates the teleport time delay by directly changing the IL code at runtime, making minimal changes to avoid infinite loops or bugs. It doesn't mess with any other feature.

### Portal Teleport (Instant)
<img src="https://media.giphy.com/media/v1.Y2lkPTc5MGI3NjExYTFhYTNkOWFkY2MxOTYyNzRiOTMzYzQ0MmFiMzRhZmFkYTM3NDg5MiZjdD1n/XcdahENiPhSN04rwIU/giphy.gif" alt="portal teleport gif"/>

### Dungeon Teleport (Instant)
<img src="https://media.giphy.com/media/v1.Y2lkPTc5MGI3NjExNzk2YThkNDU3OTdjYTUxM2Q2MWUxYWEyMTYwNTcyMGM5MGE4MDgzMSZjdD1n/pbgLe0ubqsXLMFOnvD/giphy.gif" alt="dungeon teleport gif"/>

### Distant Teleport (about or less than half of the game default time)
<img src="https://media.giphy.com/media/v1.Y2lkPTc5MGI3NjExMjFmOGY0NmQ0YmYwZTI2N2U4Njk3NDNhMDhhZGE0Yzk1MzQ4OWNlNSZjdD1n/RRGgT4Z9i5tJRNfOcV/giphy.gif" alt="distant teleport gif"/>

## Installation Notes

1. Just install the mod using your Mod Manager

## Manual Installation (Without Mod Manager)

1. Install *BepinEx* per the instructions at: https://valheim.thunderstore.io/package/denikson/BepInExPack_Valheim/
2. Place ***QuickTeleport.dll*** into your **Bepinex\plugins** folder in Valheim.

## Mod Compatibility

This mod is expected to be widely compatible with any other mod, as it makes minimal code changes. It is a client-side installation and should work on any server.

<p>
  <p align="center"><h2>For Questions or Comments find Elg in the Odin Plus Team on Discord:</h2></p>

  <p align="center"><a href="https://discord.gg/mbkPcvu9ax"><img src="https://i.imgur.com/Ji3u63C.png" alt="Odin Plus Discord"></a>
</p>

## Like the Mod?
Check out my development news here or support my work by buying me a coffee:
<p align="center">
  <a href="https://www.buymeacoffee.com/elgthedev">
    <img width="200" alt="bmc-button" src="https://user-images.githubusercontent.com/101152506/215227016-c5a9ea72-fe35-42bf-be89-06c643b46993.png">
  </a>
</p>

## Changelog (Latest first)
| `Version` | `Update Notes`                                                                             |
|-----------|--------------------------------------------------------------------------------------------|
| 1.0.0     | Initial Release                                                                            |